#ifndef MODIFY_DIALOG_H
#define MODIFY_DIALOG_H

#include <kdialogbase.h>

class QLineEdit;
class Gesture;

class ModifyDialog : public KDialogBase
  {
    public:
  ModifyDialog(const Gesture &gesture,
	       QWidget *parent, const char *name);
  ~ModifyDialog();

  QString getGestureName() const;
  QString getAction() const;

    private:
  QLineEdit *_nameEdit;
  QLineEdit *_actionEdit;
  };

#endif
