#ifndef NEW_GESTURE_WIZARD_H
#define NEW_GESTURE_WIZARD_H

#include <qlist.h>

#include <kwizard.h>

class QWidget;
class Gesture;
class NamePage;
class GestureRecordPage;
class ActionPage;

class NewGestureWizard : public KWizard
  {
  Q_OBJECT
  
    public:
  NewGestureWizard(QList<Gesture> &gList,
		   QWidget *parent, const char *name);
  ~NewGestureWizard();

  Gesture *getGesture();

 protected slots:
 void slotReadyForNext(bool);
  
    private:
  NamePage *_namePage;
  GestureRecordPage *_gestureRecordPage;
  ActionPage *_actionPage;
  };

#endif
